<!-- <link rel="stylesheet" href="css/pagesCss/travellerView.css" /> -->
<style type="text/css">
 .ui-widget-content{background:#fff !important; border:1px solid #ddd !important; font-family: 'Montserrat', sans-serif;}
.ui-widget-header{background:#fff !important; border:none !important;}
.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default{background:#fff !important; color:#000 !important; border:none !important; font-weight:400 !important; text-align:center; border-radius:5px;}
.ui-state-hover, .ui-widget-content .ui-state-hover, .ui-widget-header .ui-state-hover, .ui-state-focus, .ui-widget-content .ui-state-focus, .ui-widget-header .ui-state-focus{border:none !important; background:#eee !important;}
.ui-datepicker td span, .ui-datepicker td a{padding:0.1em !important;}
.ui-datepicker td{padding:0 !important;}
.ui-state-active .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active, .ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active{background:red !important; color:#fff !important;}
	  
#readonlycalender{
background-color:white;
}
#readecalender{
background-color:white;
}
.nav-inner{
    background-color: #000;
    color: #fff;
	cursor: pointer; 
	}
.nav-inner ul li{
    padding-right: 20px;
	height: 31px;

}
.active{
	background-color: #f75f5d;
}

</style>
<link rel="stylesheet" href="css/pagesCss/userView.css" />
<div class="row" id="recentBookingModule">
	<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mt9">
		<form class="">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
					<h3 class="md0 size20 mt10 dark"><b>Reports Details</b></h3>
				</div>
			</div>
			<div class="container med">
			<div class="row med1">
			<div class="col-md-3 med2">
			<div ng-include="'views/account/user_menu.html'"></div>
			</div>
			<div class="col-md-9">
			<!-- <div class="row nav-inner">
			
			<div class="row">
				
					<button type="button" class="btn btn-green btn-theme-primary" style="float:left;" name="checkFlight" id="checkFlight" ng-click="checkFlight()">Flight</button>
				
				
					<button type="button" class="btn btn-red btn-theme-danger" style="float:left;" name="checkHotel" id="checkHotel" ng-click="checkHotel()"><i class="glyphicon glyphicon-remove-circle"></i>Hotel</button>
				
				
					<button class="btn btn-red btn-theme-danger" style="float:left;" name="checkInsurance" id="checkInsurance" ng-click="checkInsurance()" type="button">Insurance</button>
				
			</div>
			</div>  -->
			<div class="row">
				<div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>PromoCode</b></span>
						<div class="">
							<input type="text"  class="form-control " id="promocode" placeholder="PromoCode" ng-model="promocodes" autocomplete="off" />
						</div>
					</div>
				</div>
				<div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>serviceType</b></span>
						<div class="">
							<select ng-model="servicetype" class="form-control"  requiredid="service" name="servicename">
														<option value="">Select</option>
														<option value="F">Flight</option>
														<option value="H">Hotel</option>
													
													</select>
							
						</div>
					</div>
				</div>
				<div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>Booking Date(From)</b></span>
						<div class="">
							<input type="text" class="form-control bookingDate-from mySelectCalendar" required id="readonlycalender" placeholder="DD/MM/YYYY" ng-model="fromDatereport" autocomplete="off" />
						</div>
					</div>
				</div>
			
				
			</div>
			<div class="row">
				<div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>Booking Date(To)</b></span>
						<div class="">
							<input type="text" readonly  class="form-control bookingDate-to mySelectCalendar" required id="readecalender" placeholder="DD/MM/YYYY" ng-model="toDate" autocomplete="off" />
						</div>
					</div>
				</div>
				<div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>City</b></span>
					<div class="">
						<input type="text"  class="form-control "   id="to_place" required name="to_place" placeholder="City" ng-model="CityName" autocomplete="off" />
					</div>
					</div>
				</div>
				<!-- <div class="col-sm-4" ng-show="serviceTypeFlight==true">
					<div class="form-group">
						<span class=" size13"><b>From</b></span>
					<div class="">
						<input type="text"  class="form-control "   id="from_place" required name="from_place" placeholder="From" ng-model="cityfrom" autocomplete="off" />
					</div>
					</div>
				</div>
				<div class="col-sm-4" ng-show="serviceTypeFlight==true">
					<div class="form-group">
						<span class=" size13"><b>To</b></span>
					<div class="">
						<input type="text"  class="form-control "   id="to_placecity" required name="to_placeCity" placeholder="To" ng-model="CityTo" autocomplete="off" />
					</div>
					</div>
				</div> -->
			</div>
			<div class="row">
				<!-- <div class="col-sm-4">
					<div class="form-group">
						<span class=" size13"><b>Time</b></span>
					<div class="">
						<input type="text"  class="form-control bookingtime"   id="Notes_Time" required name="datetime" placeholder="Time" ng-model="datetimes" autocomplete="off" />
					</div>
					</div>
				</div> -->
				<div class="col-md-2 text-center mb10">
					<button type="button" class="btn btn-green btn-theme-primary" style="float:right;" name="searchTicket" id="searchTicket" ng-click="search()"><i class="fa fa-search"></i>Search</button>
				</div>
				<div class="col-md-2 text-center mb10">
					<button type="button" class="btn btn-red btn-theme-danger" ng-click="clear()"><i class="glyphicon glyphicon-remove-circle"></i>Clear</button>
				</div>
				<div class="col-md-2 text-center mb10">
					<button class="btn btn-danger" ng-click="downloadBooking();" type="button">Download</button>
				</div>
			</div>
			<div id="grid"></div>
			<div class="table-responsive" ng-show="statustable==true">
				<table class="table table-border table-hover">
					<thead class="thead">
						<th>sno.</th>
						<th>promoCode</th>
						<th>serviceType</th>
						<th>fromDate</th>
						<th>toDate</th>
						<th>city</th>
						<th>createTime</th>
						<th>searchMode</th>
						
						
					</thead>
					<tbody dir-paginate="bookingData in flightResponse | itemsPerPage:100">
					<tr>
						<td><div>{{bookingData.sno}}</div></td>
						<td><div>{{bookingData.promoCode}}</div></td>
						<td><div>{{bookingData.serviceType}}</div></td>
						<td><div>{{bookingData.fromDate}}</div></td>
						<td><div>{{bookingData.toDate}}</div></td>
						<td><div>{{bookingData.city}}</div></td>
						<td><div>{{bookingData.createTime}}</div></td>
						<td><div>{{bookingData.searchMode}}</div></td>
						
						
					</tr>
					</tbody>
				</table>
			</div>
			
			<div class="table-responsive" ng-show="!noRecords &amp;&amp; checkHotelOption">
				<table class="table table-border table-hover">
					<thead class="thead">
						<th>Ticket No.</th>
						<th>GDS Ref. No.</th>
						<th>Passenger Name</th>
						<th>Sectors</th>
						<th>Base Fare</th>
						<th>Tax</th>
						<th>Markup Amount</th>
						<th>Service Charge</th>
						<th>Discount</th>
						<th>Discount In Percentage</th>
						<th>Promocode</th>
						<th>Selling Rate</th>
						<th>Pay Amount</th>
						<th>Card No.</th>
						<th>Payfort Ref. No.</th>
						<th>Status</th>
					</thead>
					<tbody dir-paginate="bookingData in hotelResponse | itemsPerPage:100">
					<tr>
						<td><div>{{bookingData.roomRefNo}}</div></td>
						<td><div>{{bookingData.bkngRefNo}}</div></td>
						<td><div>{{bookingData.firstName| uppercase}} {{bookingData.lastName| uppercase}}</div></td>
						<td><div>--</div></td>
						<td><div>{{bookingData.roomFare}}</div></td>
						<td><div>--</div></td>
						<td><div>{{bookingData.markupAmount}}</div></td>
						<td><div>{{bookingData.scAmount}}</div></td>
						<td><div>{{bookingData.dtAmount}}</div></td>
						<td><div>{{bookingData.discountPercent}}</div></td>
						<td><div>{{bookingData.promoCode}}</div></td>
						<td><div>{{bookingData.totalAmount}}</div></td>
						<td><div>{{bookingData.payAmount}}</div></td>
						<td><div>{{bookingData.cardNumber}}</div></td>
						<td><div>{{bookingData.clientNo}}</div></td>
						<td><div>{{bookingData.status}}</div></td>
					</tr>
					</tbody>
				</table>
			</div>
			
			<div class="table-responsive" ng-show="!noRecords &amp;&amp; checkInsuranceOption">
				<table class="table table-border table-hover">
					<thead class="thead">
						<th>Policy No.</th>
						<th>GDS Ref. No.</th>
						<th>Passenger Name</th>
						<th>Sectors</th>
						<th>Base Fare</th>
						<th>Tax</th>
						<th>Markup Amount</th>
						<th>Service Charge</th>
						<th>Discount</th>
						<th>Discount In Percentage</th>
						<th>Promocode</th>
						<th>Selling Rate</th>
						<th>Pay Amount</th>
						<th>Card No.</th>
						<th>Status</th>
					</thead>
					<tbody dir-paginate="bookingData in insuranceResponse | itemsPerPage:100">
					<tr>
						<td><div>{{bookingData.tktRefNo}}</div></td>
						<td><div>{{bookingData.gdsRefNo}}</div></td>
						<td><div>{{bookingData.firstName| uppercase}} {{bookingData.lastName| uppercase}}</div></td>
						<td><div>{{bookingData.route}}</div></td>
						<td><div>{{bookingData.roomFare}}</div></td>
						<td><div>{{bookingData.tax}}</div></td>
						<td><div>{{bookingData.markupAmount}}</div></td>
						<td><div>{{bookingData.scAmount}}</div></td>
						<td><div>{{bookingData.dtAmount}}</div></td>
						<td><div>{{bookingData.discountPercent}}</div></td>
						<td><div>{{bookingData.promoCode}}</div></td>
						<td><div>{{bookingData.totalAmount}}</div></td>
						<td><div>{{bookingData.payAmount}}</div></td>
						<td><div>{{bookingData.cardNumber}}</div></td>
						<td><div>{{bookingData.status}}</div></td>
					</tr>
					</tbody>
				</table>
			</div>
			
			</div>
			</div>
			</div>
			<!-- <div class="row offset-2">
				
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 padding10 padLR0">
				<div class="col-xs-2 col-sm-2 col-md-1 col-lg-1">Service</div>
				<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">Booking Details</div>
				<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3">Refrence No</div>
				<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2">Booking Date</div>
				<div class="col-xs-2 col-sm-2 col-md-1 col-lg-1 offset-0">Fare</div>
				<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 text-center">Status</div>
				</div>
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 margtop10 text-center" ng-show="noRecords">
				<span> No records found </span>
				</div>
				<div class="col-xs-12 offset-0 margtop10" tasty-table bind-resource-callback="getTraveller" bind-init="init">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 mb10 recentBookingData" ng-repeat="bookingData in recentBookingData">
				<div class="row">
				<div class="col-xs-2 col-sm-2 col-md-1 col-lg-1">
				<span ng-show="bookingData.prodType=='FLT'" title="Flight"><i class="fa fa-plane fa-lg"></i></span>
				<span ng-show="bookingData.prodType=='HTL'" title="Hotel"><i class="fa fa-bed fa-lg"></i></span>
				<span ng-show="bookingData.prodType=='INSRNC'" title="Insurance"><i class="fa fa-group fa-lg"></i></span>
				<span ng-show="bookingData.prodType=='VISA'" title="Visa"><i class="fa fa-suitcase fa-lg"></i></span>
				</div>
				<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 wrapOverflow" ng-show="bookingData.prodType=='INSRNC'">
				<div class="customColor1"> {{bookingData.clientRefNo}}</div>
				</div>
			<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 wrapOverflow" ng-show="bookingData.prodType=='FLT'">
			<div class="customColor1"> {{bookingData.clientRefNo}}</div>
			<div class="customColor2"> {{bookingData.origin}} &#8594; {{bookingData.dest}}</div>
			</div>
			<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 wrapOverflow" ng-show="bookingData.prodType=='HTL'">
			<div class="customColor1"> {{bookingData.clientRefNo}}</div>
			</div>
			<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 wrapOverflow" ng-show="bookingData.prodType=='VISA'">
			<div class="customColor1"> {{bookingData.clientRefNo}}</div>
			</div>
			<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 customColor1" title="{{bookingData.bkngRefNo}}" ng-click="reportViewDocPnr(bookingData.clientRefNo,bookingData.bkngRefNo,bookingData.prodType);" style="cursor: pointer;"><u>{{bookingData.bkngRefNo}}</u></div>
			<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2">{{bookingData.bookingDateString}}</div>
			<div class="col-xs-2 col-sm-2 col-md-1 col-lg-1 offset-0 customColor1" title="{{bookingData.charges}}">
			<span ng-show="bookingData.charges!=null">AED&nbsp;{{bookingData.charges}}</span>
			</div>
			<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2 text-right">{{bookingData.status}}</div>
			
			</div>
			</div>
			{{travelClick==true ? tripsModify(pagination) : '' }}
			<div class="clearfix" tasty-pagination></div>
			</div>
			
			
			
			</div> -->
			
		</form>
		
	</div>
</div>